# Class CIM_AlarmDeviceCapabilities
extends CIM_EnabledLogicalElementCapabilities

AlarmDeviceCapabilities describes the capabilities supported for changing the state OF THE ASSOCIATED AlarmDevice.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_AlarmDeviceCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | AlarmDeviceCapabilities describes the capabilities supported for changing the state OF THE ASSOCIATED AlarmDevice.
UMLPackagePath | string | CIM::Device::Capabilities
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AlarmIndicatorTypesConfigurable | uint16[] |

Description

string

AlarmIndicatorTypesConfigurable indicates the possible indicators that can be enabled or disabled when using the method SetAlarmIndicator on the AlarmDevice. An indicator is a device that emits sound (Audio), emits light or changes color (Visual), or emits vibrations (Motion) to indicate some condition. Indicators may include the audible alarm on a RAID controller, the location LED on a chassis, or the vibration of a cell phone.

ModelCorrespondence | string | CIM_AlarmDevice.SetAlarmIndicator
ValueMap | string | 1, 2, 3, .., 32768..65535
Values | string | Audio, Visual, Motion, DMTF Reserved, Vendor Specific
RequestedAlarmStatesSupported | uint16[] |
Description | string | RequestedAlarmStatesSupported indicates the possible states that can be requested when using the method SetAlarmState on the AlarmDevice. A value of 1 indicates that AlarmDevice indicators may be inactivated, a value of 2 or 3 indicates that AlarmDevice indicators may be activated.
ModelCorrespondence | string | CIM_AlarmDevice.SetAlarmState
ValueMap | string | 0, 1, 2, 3, .., 32768..65535
Values | string | Unknown, Off, Steady, Alternating, DMTF Reserved, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods